%define libname libdjvulibre
%define majver3 %(echo %version | cut -d. -f1-3)
Name:          djvulibre
Version:       3.5.28
Release:       1mamba
Summary:       Web-centric format and software platform for distributing documents and images
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://djvulibre.djvuzone.org
Source:        http://downloads.sourceforge.net/project/djvu/DjVuLibre/%{majver3}/djvulibre-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
## AUTOBUILDREQ-END
Provides:      djvulibre15
Obsoletes:     djvulibre15
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
DjVu is a web-centric format and software platform for distributing documents and images.
DjVu can advantageously replace PDF, PS, TIFF, JPEG, and GIF for distributing scanned documents, digital documents, or high-resolution pictures.
DjVu content downloads faster, displays and renders faster, looks nicer on a screen, and consume less client resources than competing formats.
DjVu images display instantly and can be smoothly zoomed and panned with no lengthy re-rendering.
DjVu is used by hundreds of academic, commercial, governmental, and non-commercial web sites around the world.
DjVuLibre is an open source (GPL'ed) implementation of DjVu.

%package -n %{libname}
Summary:       Dynamic libraries for %{name}
Group:         System/Libraries
Provides:      libdjvulibre15
Obsoletes:     libdjvulibre15

%description -n %{libname}
DjVu is a web-centric format and software platform for distributing documents and images.
This package contains the dynamic libraries provided by DjVuLibre, an open source implementation of DjVu.

%package -n %{libname}-devel
Summary:       Static libraries and headers for %{libname}
Group:         Development/Libraries
Provides:      libdjvulibre15-devel
Obsoletes:     libdjvulibre15-devel
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
DjVu is a web-centric format and software platform for distributing documents and images.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n %{name}-%{majver3}

%build
%configure --disable-djview
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{_datadir}/djvu
%dir %{_datadir}/djvu/osi
%{_datadir}/djvu/osi/*
%dir %{_datadir}/djvu/pubtext
%{_datadir}/djvu/pubtext/*
%{_datadir}/icons/hicolor/*/mimetypes/image-vnd.djvu.png
%{_datadir}/icons/hicolor/scalable/mimetypes/image-vnd.djvu.svgz
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libdjvulibre.so.*
%doc COPYING

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/libdjvu
%{_includedir}/libdjvu/*.h
%{_libdir}/libdjvulibre.la
%{_libdir}/libdjvulibre.so
%{_libdir}/pkgconfig/ddjvuapi.pc
%doc NEWS README

%changelog
* Fri Jan 15 2021 Automatic Build System <autodist@mambasoft.it> 3.5.28-1mamba
- automatic version update by autodist

* Sun Feb 22 2015 Automatic Build System <autodist@mambasoft.it> 3.5.27-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 3.5.25.3-1mamba
- update to 3.5.25.3

* Mon Dec 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.24-2mamba
- disable qt3 based viewer (see djview package for viewer and browser plugin)

* Fri Mar 11 2011 Automatic Build System <autodist@mambasoft.it> 3.5.24-1mamba
- automatic update by autodist

* Wed Aug 18 2010 Automatic Build System <autodist@mambasoft.it> 3.5.23-1mamba
- automatic update by autodist

* Thu Jul 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.22-2mamba
- obsolete djvulibre15

* Thu Jul 02 2009 Automatic Build System <autodist@mambasoft.it> 3.5.22-1mamba
- automatic update by autodist

* Fri Mar 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.21-1mamba
- automatic update by autodist

* Tue Nov 06 2007 Aleph0 <aleph0@openmamba.org> 3.5.19-1mamba
- package created by autospec
